Clarity PPM

Expand all | Collapse all

upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

  • 1.  upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

    Posted 08-08-2017 11:12 AM

    We are upgrade CA PPM from version 13.0 to version 15.2.
    We'll do it in two jumps.
    The first jump, from 13.0 to 13.2, this latest version will be in production for a short time and then we will make a second jump to version 15.2
    Today we made the first jump (13.2) in the development environment and we have found some problems that prevent us from putting this version into production.

    ______________________________________________________________________________

     

    I know it's a very old version, but maybe you can help me with some of the following errors.

    ______________________________________________________________________________

     

    When we use ca 13.2 ppm after the upgrade

     

    ERROR 2017-08-01 10:58:58,153 [http-bio-80-exec-68] web.PortletController (clarity:admin:24818142__E79B0850-512F-412A-8D65-D0DD099BFA32:projmgr.projectDashboard) Portlet service request failed for portlet: cop.dashboardProjectAlerts
    com.niku.union.web.WebException: WebServiceAdapter::processRequest -> failed to process service request

     

    ERROR 2017-08-01 11:01:07,486 [http-bio-80-exec-72] web.WebActionController (clarity:admin:24818142__E79B0850-512F-412A-8D65-D0DD099BFA32:npt.gridFilter)
    com.niku.union.web.WebException: Service call failed for portlet: npt.grid
    Caused by: com.niku.union.web.WebException: WebServiceAdapter::processRequest -> failed to process service request

     

    ERROR 2017-08-01 11:02:26,614 [http-bio-80-exec-71] web.PortletController (clarity:admin:24818143__402FA4A3-FA21-403A-AB5A-0233915ACA16:dashboardProjectStatus) Portlet service request failed for portlet: cop.dashboardProjectAlerts
    com.niku.union.web.WebException: WebServiceAdapter::processRequest -> failed to process service request
    ______________________________________________________________

     

    ERROR 2017-08-02 10:19:25,304 [http-bio-80-exec-95] view.ViewL10nSAXHandler (clarity:admin:24818145__3243D3A0-0952-4001-A014-8B438FF53CA6:odf.filterStateChange) Could not locate vxsl file '' in component odf
    ERROR 2017-08-02 10:19:42,054 [http-bio-80-exec-95] web.WebActionController (clarity:admin:24818145__3243D3A0-0952-4001-A014-8B438FF53CA6:npt.gridFilter)
    com.niku.union.web.WebException: Service call failed for portlet: npt.grid
    Caused by: com.niku.union.web.WebException: WebServiceAdapter::processRequest -> failed to process service request
    ______________________________________________________________

     

    ERROR 2017-08-02 10:57:19,476 [http-bio-80-exec-113] lookup.LookupControllerImpl (clarity:admin:24818148__853DF673-801F-4046-9EAF-25F6279BFE0C:projmgr.obsCapacityOverviewPage) Lookup: OBS_BROWSE_FLT_MODE_PRJ doesn't exist
    ERROR 2017-08-03 15:42:45,009 [http-bio-80-exec-157] niku.xql2 (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:projmgr.projectNewPost) Error setting default value for attribute rsf_obs_unit

     

    ERROR 2017-08-03 16:35:50,689 [http-bio-80-exec-201] niku.xql2 (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:projmgr.programNewPost) Error setting default value for attribute rsf_obs_unit

     

    ERROR 2017-08-03 16:43:13,282 [http-bio-80-exec-209] view.ViewL10nSAXHandler (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:odf.filterStateChange) Could not locate vxsl file '' in component odf
     ______________________________________________________________

     

    WARN  2017-08-03 17:57:02,372 [http-bio-80-exec-246] persistence.PersistenceResponse (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:npt.gridFilter) Rownum limit of '50000' detected. Attempted to return '58311'.
    WARN  2017-08-03 17:57:02,372 [http-bio-80-exec-246] ConfigurationManager.NSQLQuery (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:npt.gridFilter) Rownum limit reached for NSQL query with id = '5056000' and code = 'sb_capacity_equipos_III'.
    ______________________________________________________________

     

    WARN  2017-08-03 18:07:47,754 [http-bio-80-exec-255] grid.ODFPropertyViewAdapter (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:projmgr.roleCapacity) Object investment does not exist
    ERROR 2017-08-03 18:07:59,535 [http-bio-80-exec-260] grid.GridMetadataCache (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:npt.gridExcelExport) Unable to get list cview file for code=projmgr.roleInvestmentsCapacity exception com.niku.odf.griphendor.GriphendorException: Unable to find view with CustomViewManager: code=roleInvestmentsCapacity, component=projmgr
    ERROR 2017-08-03 18:07:59,535 [http-bio-80-exec-260] web.WebActionController (clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:npt.gridExcelExport)
    Caused by: com.niku.odf.griphendor.GriphendorException: Unable to find grid metadata with view code/portlet key = NIKU.ROOT#:projmgr#:roleInvestmentsCapacity



  • 2.  Re: upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

    Posted 08-08-2017 12:05 PM

    Hi Ricardo,

     

    All the errors you have given points me to a portlet and it could be due to the addins are not applied or installed. Did you isntalled the PMO addin i.e. csk and applied the system content.

     

    The above answer was for cop.dashboardProjectAlerts, the look up OBS_BROWSE_FLT_MODE_PRJ doesn't exist and it will come after installation of PMO.

     

    Here clarity:nbka27w:24818149__8A943E08-B56B-46D3-89D3-E279B21C9EC3:npt.gridFilter) Rownum limit of '50000' detected. Attempted to return '58311'. you tried to filter more then 50k rows in a portlet and thats a givernance put in PPM to stop portlet which is more than 50k for system stability

     

    Export to Excel (Data Only) for NSQL query based portlets only export the first 50,000 rows 

     

    So the next step would be to install the addin and apply the same and then test and that should resolve all the problems reported here.

     

    Regards

    Suman Pramanik



  • 3.  Re: upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

    Posted 08-09-2017 11:02 AM

    Hello Suman,
    Thank you very much for your prompt response.
    Although the PMO accelerator was installed correctly, we had detailed problems, however, we will take your suggestion and we will run "admin content csk"
    On the other hand we will consider the 50k limitation of PPM to filter rows in a portlet.
    Thank you very much for your support.
    Best regards



  • 4.  Re: upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

    Posted 08-10-2017 09:58 AM

    Hi Suman,

    After executing in cmd admin "admin csk content" and finished successfully with no incidents, errors related to PMO ACCELERATOR continue.



  • 5.  Re: upgrade to CA PPM 13.0 to 15.2 intermedia upgrade to 13.2 errors

    Posted 08-10-2017 12:29 PM

    Hi Ricardo,

     

    You installed from server, did you logged in to the ppm and from Administrations --> Content addins applied the addins which are upgrade ready.

     

    Regards

    Suman Pramanik